//
//  MyController.m
//  Spracherkennung2
//
//  Created by Holger Hinzberg on 10.11.09.
//  Copyright 2009 Cocoa Coding. All rights reserved.
//

#import "MyController.h"

@implementation MyController

-(void)awakeFromNib
{
	NSArray *myCommands = 
	[NSArray arrayWithObjects:@"press button one",
	@"press button two", @"press button tree", @"press button four", nil];
	
    mySpeechRecog = [[NSSpeechRecognizer alloc] init];
    [mySpeechRecog setCommands:myCommands];
    [mySpeechRecog setDelegate:self];
    [mySpeechRecog stopListening];
} 

- (IBAction)button1Click:(id)sender
{
    [myText setStringValue:@"Button 1 geklickt"];
}

- (IBAction)button2Click:(id)sender
{
    [myText setStringValue:@"Button 2 geklickt"];
}

- (IBAction)button3Click:(id)sender
{
    [myText setStringValue:@"Button 3 geklickt"];
}

- (IBAction)button4Click:(id)sender
{
    [myText setStringValue:@"Button 4 geklickt"];
} 

- (IBAction)buttonOnOffClick:(id)sender
{
    if([sender state] == NSOnState)
    {
        [mySpeechRecog startListening];
    }
    else
    {
        [mySpeechRecog stopListening];
    }
} 

- (void)speechRecognizer:(NSSpeechRecognizer *)sender
     didRecognizeCommand:(id)command
{
    if([(NSString *)command isEqualToString:@"press button one"])
    {
        [self button1Click:NULL];
    }
    else if([(NSString *)command isEqualToString:@"press button two"])
    {
        [self button2Click:NULL];
    }
    else if([(NSString *)command isEqualToString:@"press button three"])
    {
        [self button3Click:NULL];
    }
    else if([(NSString *)command isEqualToString:@"press button four"])
    {
        [self button4Click:NULL];
    }
}

@end
